import { RebRecord } from './types';
export interface RebalanceParams {
    rebalances: RebRecord[];
    prevBalances: number[];
    leftoverRebalance: number[];
    prevReb: number;
}
export interface UpdateMovingAvgParams {
    price: number;
    ma_interval: number;
    reInit: boolean;
}
export interface DbProvider {
    syncToDB(params: RebalanceParams): Promise<void>;
    fetchFromDB(): Promise<Partial<RebalanceParams>>;
    updateMovingAvg(params: UpdateMovingAvgParams): Promise<number>;
    updateState(vaultAddr: string, strategyAddr: string | null, param: string, value: unknown, includeUpdateTime?: boolean, vaultType?: string): Promise<void>;
    updateVaultState(key: string, param: string, value: unknown, includeUpdateTime?: boolean, vaultType?: string): Promise<void>;
}
